org.richfaces.fragment.tree

## Class RichFacesTree.AdvancedTreeInteractionsImpl

- java.lang.Object
- - org.richfaces.fragment.tree.RichFacesTree.AdvancedTreeInteractionsImpl

- All Implemented Interfaces:
    VisibleComponentInteractions, Tree.AdvancedTreeInteractions
  Direct Known Subclasses:
    RichFacesTreeNode.AdvancedNodeInteractionsImpl
  Enclosing class:
    RichFacesTree

      public class RichFacesTree.AdvancedTreeInteractionsImpl
      extends Object
      implements Tree.AdvancedTreeInteractions, VisibleComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesTree.AdvancedTreeInteractionsImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<? extends Tree.TreeNode>` | `getChildNodes()`
    `protected List<org.openqa.selenium.WebElement>` | `getChildNodesElements()`
    `Tree.TreeNode` | `getFirstNode()`
    `List<? extends Tree.TreeNode>` | `getLeafNodes()`
    `List<? extends Tree.TreeNode>` | `getNodes()`
    `List<? extends Tree.TreeNode>` | `getNodesCollapsed()`
    `List<org.openqa.selenium.WebElement>` | `getNodesElements()`
    `List<? extends Tree.TreeNode>` | `getNodesExpanded()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `List<? extends Tree.TreeNode>` | `getSelectedNodes()`
    `protected Event` | `getToggleNodeEvent()`
    `protected boolean` | `isToggleByHandle()`
    `boolean` | `isVisible()`
    `void` | `setToggleByHandle()`
    `void` | `setToggleByHandle(boolean toggleByHandle)`
    `void` | `setToggleNodeEvent()`
    `void` | `setToggleNodeEvent(Event toggleNodeEvent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesTree.AdvancedTreeInteractionsImpl

          public RichFacesTree.AdvancedTreeInteractionsImpl()

  - ### Method Detail

    - #### getFirstNode

          public Tree.TreeNode getFirstNode()

      Specified by:
        `getFirstNode` in interface `Tree.AdvancedTreeInteractions`
      Returns:
        first visible child node

    - #### getChildNodes

          protected List<? extends Tree.TreeNode> getChildNodes()

    - #### getChildNodesElements

          protected List<org.openqa.selenium.WebElement> getChildNodesElements()

    - #### getLeafNodes

          public List<? extends Tree.TreeNode> getLeafNodes()

      Specified by:
        `getLeafNodes` in interface `Tree.AdvancedTreeInteractions`
      Returns:
        child leaf nodes

    - #### getNodes

          public List<? extends Tree.TreeNode> getNodes()

      Specified by:
        `getNodes` in interface `Tree.AdvancedTreeInteractions`
      Returns:
        child nodes

    - #### getNodesCollapsed

          public List<? extends Tree.TreeNode> getNodesCollapsed()

      Specified by:
        `getNodesCollapsed` in interface `Tree.AdvancedTreeInteractions`
      Returns:
        collapsed child nodes

    - #### getNodesElements

          public List<org.openqa.selenium.WebElement> getNodesElements()

      Specified by:
        `getNodesElements` in interface `Tree.AdvancedTreeInteractions`
      Returns:
        child nodes elements

    - #### getNodesExpanded

          public List<? extends Tree.TreeNode> getNodesExpanded()

      Specified by:
        `getNodesExpanded` in interface `Tree.AdvancedTreeInteractions`
      Returns:
        expanded child nodes

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

      Specified by:
        `getRootElement` in interface `Tree.AdvancedTreeInteractions`

    - #### getSelectedNodes

          public List<? extends Tree.TreeNode> getSelectedNodes()

      Specified by:
        `getSelectedNodes` in interface `Tree.AdvancedTreeInteractions`
      Returns:
        selected child nodes

    - #### getToggleNodeEvent

          protected Event getToggleNodeEvent()

    - #### isToggleByHandle

          protected boolean isToggleByHandle()

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `VisibleComponentInteractions`

    - #### setToggleByHandle

          public void setToggleByHandle()

      Specified by:
        `setToggleByHandle` in interface `Tree.AdvancedTreeInteractions`

    - #### setToggleByHandle

          public void setToggleByHandle(boolean toggleByHandle)

      Specified by:
        `setToggleByHandle` in interface `Tree.AdvancedTreeInteractions`

    - #### setToggleNodeEvent

          public void setToggleNodeEvent()

      Specified by:
        `setToggleNodeEvent` in interface `Tree.AdvancedTreeInteractions`

    - #### setToggleNodeEvent

          public void setToggleNodeEvent(Event toggleNodeEvent)

      Specified by:
        `setToggleNodeEvent` in interface `Tree.AdvancedTreeInteractions`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.